<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/CapabilityConfiguration.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CapabilityConfiguration.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_capability_configuration_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_CAPABILITYCONFIGURATION_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_CAPABILITYCONFIGURATION_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a85eeff2ec9253ea5e19bb708dd3c49cd">   27</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a85eeff2ec9253ea5e19bb708dd3c49cd">CAPABILITY_INTERFACE_TYPE_KEY</a> = <span class="stringliteral">&quot;type&quot;</span>;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a099aa6dd15082c26e7a33fe3f48bd6e6">   29</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a099aa6dd15082c26e7a33fe3f48bd6e6">CAPABILITY_INTERFACE_NAME_KEY</a> = <span class="stringliteral">&quot;interface&quot;</span>;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ac3af2dc11f27aab20552b712dc12191e">   31</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ac3af2dc11f27aab20552b712dc12191e">CAPABILITY_INTERFACE_VERSION_KEY</a> = <span class="stringliteral">&quot;version&quot;</span>;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a1d038bbced99f347c55ecd9c5ad67d82">   33</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a1d038bbced99f347c55ecd9c5ad67d82">CAPABILITY_INTERFACE_CONFIGURATIONS_KEY</a> = <span class="stringliteral">&quot;configurations&quot;</span>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">   44</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#ada77e288e6a65a8a0f9bb0804949bc29">CapabilityConfiguration</a>() = <span class="keyword">delete</span>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#ada77e288e6a65a8a0f9bb0804949bc29">CapabilityConfiguration</a>(<span class="keyword">const</span> std::unordered_map&lt;std::string, std::string&gt;&amp; capabilityConfigurationIn);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#add4143293ad7aa21ab0b82c9b619ec95">   59</a></span>&#160;    <span class="keyword">const</span> std::unordered_map&lt;std::string, std::string&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#add4143293ad7aa21ab0b82c9b619ec95">capabilityConfiguration</a>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;};</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a328cbb36f3a115ed3e1346f0eca02004">operator==</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a>&amp; lhs, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a>&amp; rhs);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a67ce8e73cf4437262ea207c998657f9c">operator!=</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a>&amp; lhs, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a>&amp; rhs);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="namespacestd.html">   84</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacestd.html">std</a> {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keyword">template</span> &lt;&gt;</div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="structstd_1_1hash_3_01alexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration_01_4.html">   90</a></span>&#160;<span class="keyword">struct </span>hash&lt;<a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a>::avsCommon::avs::CapabilityConfiguration&gt; {</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">size_t</span> operator()(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">alexaClientSDK::avsCommon::avs::CapabilityConfiguration</a>&amp; in) <span class="keyword">const</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;};</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}  <span class="comment">// namespace std</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_CAPABILITYCONFIGURATION_H_</span></div><div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:84</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a328cbb36f3a115ed3e1346f0eca02004"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a328cbb36f3a115ed3e1346f0eca02004">alexaClientSDK::avsCommon::avs::operator==</a></div><div class="ttdeci">bool operator==(const BlockingPolicy &amp;lhs, const BlockingPolicy &amp;rhs)</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:72</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration_html_add4143293ad7aa21ab0b82c9b619ec95"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#add4143293ad7aa21ab0b82c9b619ec95">alexaClientSDK::avsCommon::avs::CapabilityConfiguration::capabilityConfiguration</a></div><div class="ttdeci">const std::unordered_map&lt; std::string, std::string &gt; capabilityConfiguration</div><div class="ttdoc">The CapabilityConfiguration value of this instance. </div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:59</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a67ce8e73cf4437262ea207c998657f9c"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a67ce8e73cf4437262ea207c998657f9c">alexaClientSDK::avsCommon::avs::operator!=</a></div><div class="ttdeci">bool operator!=(const BlockingPolicy &amp;lhs, const BlockingPolicy &amp;rhs)</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:76</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">alexaClientSDK::avsCommon::avs::CapabilityConfiguration</a></div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:44</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_ac3af2dc11f27aab20552b712dc12191e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ac3af2dc11f27aab20552b712dc12191e">alexaClientSDK::avsCommon::avs::CAPABILITY_INTERFACE_VERSION_KEY</a></div><div class="ttdeci">static const std::string CAPABILITY_INTERFACE_VERSION_KEY</div><div class="ttdoc">Key for interface version in the CapabilityConfiguration map. </div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:31</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a099aa6dd15082c26e7a33fe3f48bd6e6"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a099aa6dd15082c26e7a33fe3f48bd6e6">alexaClientSDK::avsCommon::avs::CAPABILITY_INTERFACE_NAME_KEY</a></div><div class="ttdeci">static const std::string CAPABILITY_INTERFACE_NAME_KEY</div><div class="ttdoc">Key for interface name in the CapabilityConfiguration map. </div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration_html_ada77e288e6a65a8a0f9bb0804949bc29"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html#ada77e288e6a65a8a0f9bb0804949bc29">alexaClientSDK::avsCommon::avs::CapabilityConfiguration::CapabilityConfiguration</a></div><div class="ttdeci">CapabilityConfiguration()=delete</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a85eeff2ec9253ea5e19bb708dd3c49cd"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a85eeff2ec9253ea5e19bb708dd3c49cd">alexaClientSDK::avsCommon::avs::CAPABILITY_INTERFACE_TYPE_KEY</a></div><div class="ttdeci">static const std::string CAPABILITY_INTERFACE_TYPE_KEY</div><div class="ttdoc">Key for interface type in the CapabilityConfiguration map. </div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:27</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a1d038bbced99f347c55ecd9c5ad67d82"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a1d038bbced99f347c55ecd9c5ad67d82">alexaClientSDK::avsCommon::avs::CAPABILITY_INTERFACE_CONFIGURATIONS_KEY</a></div><div class="ttdeci">static const std::string CAPABILITY_INTERFACE_CONFIGURATIONS_KEY</div><div class="ttdoc">Key for interface configurations in the CapabilityConfiguration map. </div><div class="ttdef"><b>Definition:</b> CapabilityConfiguration.h:33</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
